package be.iminds.ilabt.jfed.rspec.request.ext.flack;

import javax.xml.bind.annotation.*;

/**
 * XSD for http://www.protogeni.net/resources/rspec/ext/flack/1 not found
 * So we just define it ourselves here.
 *
 * <flack:node_info x="474" y="121" unbound="true"/>
 * <flack:link_info x="469" y="496" unboundVlantag="true"/>
 * <flack:interface_info addressBound="false" bound="false"/>
 * <flack:slice_info view="graph"/>
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "")
@XmlRootElement(name = "interface_info")
public class InterfaceInfo {
    @XmlAttribute(name = "bound", required = false)
    private Boolean bound;

    @XmlAttribute(name = "addressBound", required = false)
    private Boolean addressBound;

    public InterfaceInfo() {
        this.bound = null;
        this.addressBound = null;
    }
    public InterfaceInfo(boolean bound, boolean addressBound) {
        this.bound = bound;
        this.addressBound = addressBound;
    }

    public Boolean getBound() {
        return bound;
    }

    public void setBound(Boolean bound) {
        this.bound = bound;
    }

    public Boolean getAddressBound() {
        return addressBound;
    }

    public void setAddressBound(Boolean addressBound) {
        this.addressBound = addressBound;
    }
}
